Subject: Re: [MMUSIC] New Version Notification for draft-ietf-mmusic-rfc4566bis-29.txt

From: Colin Perkins <[email-masked]>
Date: Sun, 1 Jul 2018 14:53:00 +0100

Paul,

> On 1 Jul 2018, at 01:19, Paul Kyzivat <[email-masked]> wrote:
> 
> Colin,
> 
> On 6/15/18 8:06 AM, Colin Perkins wrote:
> 
>>>>> 1) Section 5.14 - Media Descriptions
>>>>> The 6th paragraph talks about use of the rtcp attribute with hieararchically encoded streams, however AFAIK, the rtcp attribute does not support. If it does, then I think the explanation needs to be elaborated on (basically, you would need to have more than one of them I assume).
>>>> 
>>>> This is text from 4566. I don't recall the discussions leading to that text, and I don't really understand what is intended here. Is RTP/RTCP intended to be an instance of a hierarchically encoded stream, or is that considered a distinct usage? What is another example of hierarchically encoded streams that should apply here.
>>>> 
>>>> It is interesting that the examples here all use port/2 for RTP streams, but that is clearly not current practice.
>>> Maybe one of Colin, Magnus or Jonthan can chime in ? 
>> Hierarchically encoded streams, in this context, is layered coding. The draft gives an example:
>>           m=video 49170/2 RTP/AVP 31
>>       would specify that ports 49170 and 49171 form one RTP/RTCP pair
>>       and 49172 and 49173 form the second RTP/RTCP pair.  RTP/AVP is the
>>       transport protocol and 31 is the format (see below).  If non-
>>       contiguous ports are required, they must be signalled using a
>>       separate attribute (for example, "a=rtcp:" as defined in
>>       [RFC3605]).
>> The /2 /does not/ refer to the port used for RTCP, it refers to the number of RTP streams in the layered stream.
> 
> Is this form used in practice? I had the impression that hierarchically encoded streams were using separate m= lines for each layer.
> 
> And Flemming pointed out to me that a=rtcp isn't defined so it it has meaning with such an m= line. That would limit its usage further.
> 
> Should this /n usage be deprecated?

I don’t know if it’s used in practice. Finding out what is implemented would likely be a first step to knowing if it should be deprecated.

-- 
Colin Perkins
https://csperkins.org/

---

From: Paul Kyzivat <[email-masked]>
Date: Sun, 1 Jul 2018 10:55:41 -0400

Colin,

> I don’t know if it’s used in practice. Finding out what is implemented would likely be a first step to knowing if it should be deprecated.

I assume there are a known set of public hierarchical encoding schemes. 
If none of them use this notation, then isn't that all we need to know?
(Is it plausible that there are proprietary hierarchical encoding 
schemes in practical use?)

	Thanks,
	Paul